import type { VueNode } from '@antdv/pro-utils';
import type { ExtractPublicPropTypes, VNode } from 'vue';
import type { ProSettings } from '../../defaultSettings';
type MergerSettingsType<T> = Partial<T> & {
    colorPrimary?: string;
    colorWeak?: boolean;
};
export interface SettingItemProps {
    title: VueNode;
    action: VNode;
    disabled?: boolean;
    disabledReason?: VueNode;
}
export declare const settingDrawerProps: {
    readonly defaultSettings: import("@antdv/pro-utils").VueTypeValidateDef<MergerSettingsType<ProSettings>, import("@antdv/pro-utils").ValidatorFunction<MergerSettingsType<ProSettings>>>;
    readonly settings: import("@antdv/pro-utils").VueTypeValidateDef<MergerSettingsType<ProSettings>, import("@antdv/pro-utils").ValidatorFunction<MergerSettingsType<ProSettings>>>;
    readonly collapse: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>>;
    readonly onCollapseChange: import("@antdv/pro-utils").VueTypeValidateDef<(collapse: boolean) => void, import("@antdv/pro-utils").ValidatorFunction<(collapse: boolean) => void>>;
    readonly getContainer: import("@antdv/pro-utils").VueTypeValidateDef<any, import("@antdv/pro-utils").ValidatorFunction<any>>;
    readonly hideHintAlert: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>>;
    readonly hideCopyButton: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>>;
    readonly enableDarkTheme: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>>;
    readonly prefixCls: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    readonly colorList: import("@antdv/pro-utils").VueTypeDef<false | {
        key: string;
        color: string;
        title?: string;
    }[]> & {
        default: false | (() => {
            key: string;
            color: string;
            title?: string;
        }[]);
    };
    readonly onSettingChange: import("@antdv/pro-utils").VueTypeValidateDef<(settings: MergerSettingsType<ProSettings>) => void, import("@antdv/pro-utils").ValidatorFunction<(settings: MergerSettingsType<ProSettings>) => void>>;
    readonly pathname: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    readonly disableUrlParams: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>> & {
        default: boolean;
    };
    readonly themeOnly: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>>;
};
export type SettingDrawerProps = ExtractPublicPropTypes<typeof settingDrawerProps>;
export type SettingDrawerState = {
    collapse?: boolean;
    language?: string;
} & MergerSettingsType<ProSettings>;
export declare function getFormatMessage(): ((data: {
    id: string;
    defaultMessage?: string;
}) => string);
export declare const SettingDrawer: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly defaultSettings: import("@antdv/pro-utils").VueTypeValidateDef<MergerSettingsType<ProSettings>, import("@antdv/pro-utils").ValidatorFunction<MergerSettingsType<ProSettings>>>;
    readonly settings: import("@antdv/pro-utils").VueTypeValidateDef<MergerSettingsType<ProSettings>, import("@antdv/pro-utils").ValidatorFunction<MergerSettingsType<ProSettings>>>;
    readonly collapse: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>>;
    readonly onCollapseChange: import("@antdv/pro-utils").VueTypeValidateDef<(collapse: boolean) => void, import("@antdv/pro-utils").ValidatorFunction<(collapse: boolean) => void>>;
    readonly getContainer: import("@antdv/pro-utils").VueTypeValidateDef<any, import("@antdv/pro-utils").ValidatorFunction<any>>;
    readonly hideHintAlert: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>>;
    readonly hideCopyButton: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>>;
    readonly enableDarkTheme: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>>;
    readonly prefixCls: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    readonly colorList: import("@antdv/pro-utils").VueTypeDef<false | {
        key: string;
        color: string;
        title?: string;
    }[]> & {
        default: false | (() => {
            key: string;
            color: string;
            title?: string;
        }[]);
    };
    readonly onSettingChange: import("@antdv/pro-utils").VueTypeValidateDef<(settings: MergerSettingsType<ProSettings>) => void, import("@antdv/pro-utils").ValidatorFunction<(settings: MergerSettingsType<ProSettings>) => void>>;
    readonly pathname: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    readonly disableUrlParams: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>> & {
        default: boolean;
    };
    readonly themeOnly: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>>;
}>, () => import("ant-design-vue/es/_util/type").VueNode, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly defaultSettings: import("@antdv/pro-utils").VueTypeValidateDef<MergerSettingsType<ProSettings>, import("@antdv/pro-utils").ValidatorFunction<MergerSettingsType<ProSettings>>>;
    readonly settings: import("@antdv/pro-utils").VueTypeValidateDef<MergerSettingsType<ProSettings>, import("@antdv/pro-utils").ValidatorFunction<MergerSettingsType<ProSettings>>>;
    readonly collapse: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>>;
    readonly onCollapseChange: import("@antdv/pro-utils").VueTypeValidateDef<(collapse: boolean) => void, import("@antdv/pro-utils").ValidatorFunction<(collapse: boolean) => void>>;
    readonly getContainer: import("@antdv/pro-utils").VueTypeValidateDef<any, import("@antdv/pro-utils").ValidatorFunction<any>>;
    readonly hideHintAlert: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>>;
    readonly hideCopyButton: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>>;
    readonly enableDarkTheme: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>>;
    readonly prefixCls: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    readonly colorList: import("@antdv/pro-utils").VueTypeDef<false | {
        key: string;
        color: string;
        title?: string;
    }[]> & {
        default: false | (() => {
            key: string;
            color: string;
            title?: string;
        }[]);
    };
    readonly onSettingChange: import("@antdv/pro-utils").VueTypeValidateDef<(settings: MergerSettingsType<ProSettings>) => void, import("@antdv/pro-utils").ValidatorFunction<(settings: MergerSettingsType<ProSettings>) => void>>;
    readonly pathname: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    readonly disableUrlParams: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>> & {
        default: boolean;
    };
    readonly themeOnly: import("@antdv/pro-utils").VueTypeValidateDef<boolean, import("@antdv/pro-utils").ValidatorFunction<boolean>>;
}>> & Readonly<{}>, {
    readonly colorList: false | {
        key: string;
        color: string;
        title?: string;
    }[];
    readonly disableUrlParams: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export {};
